[OSM-talk] PostScript renderer

Scott Walde scott at waldetech.ca
Tue Mar 20 16:37:20 GMT 2007


Nick Black wrote:
> Worksforme with:
>
> libxml-ruby            0.3.8.4-1
> ruby 1.8.5 (2006-08-25) [i486-linux]
>
> On ubuntu fiesty.  Maybe update libxml?
>
Okay.  I finally got it working, but I'm not quite sure what worked.  I 
ended up removing the libxml-ruby deb package, and using the latest 
0.3.8.4 manually.  When I used rubygems to install it, the library 
installed fine into /usr/lib/ruby/gems... but couldn't be found by ruby 
scripts, so I manually installed it from the tarball, which put it in 
/usr/local/lib/site_ruby/1.8/ and everything started working.  Is that a 
Debian/Ubuntu packaging issue?  or are the defaults for rubygems a bit 
off?  (I installed rubygems 0.9.2 from a tarball, too.)

The biggest pain was the Debian/Ubuntu packaging hell.  I needed to 
install, in addition to ruby, ruby1.8-dev, rake, rdoc, and maybe 
something else I've already forgotten.

Anyways, the output is beautiful!  Thank you.

and, of course, a bug report... it seems to completely ignore 
primary_link ways.  Is that an oversight?  Bug?  or just not implemented 
yet?

Thanks again.

ttyl
srw





More information about the talk mailing list